import { LitElement } from 'lit';
export declare const ICON_PHOENIX_FRAMEWORK = "icon-phoenix-framework";
export declare class IconPhoenixFrameworkComponent extends LitElement {
    static readonly defaultTagName = "icon-phoenix-framework";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
